// LDR is connected via 10 kOhm pullup resistor to pin A0
#define sensorPin A0

// LED connected to pin 13
#define ledPin 13

// storage for sensor value read
int sensorValue = 0;
int level = 0;

void setup() {
  // define I/O pins
  pinMode(ledPin, OUTPUT);
  pinMode(sensorPin, INPUT_PULLUP);
  // read the level value from the sensor:
  level = analogRead(sensorPin);
}

void loop() {
  // read the value from the sensor:
  sensorValue = analogRead(sensorPin);
  // do something with the value read from the sensor
  if (sensorValue < level+100) { // is this the right value?
    // switch LED ON
    digitalWrite(ledPin, HIGH);
  } else {
    // switch LED off
    digitalWrite(ledPin, LOW);
  }
}
